apiVersion: apps/v1
kind: Deployment
metadata:
  name: echoserver

spec:
  replicas: 3
  selector:
    matchLabels:
      app: echoserver
  template:
    metadata:
      labels:
        app: echoserver
    spec:
      containers:
        - image: k8s.gcr.io/echoserver:1.4
          imagePullPolicy: Always
          name: echoserver
          ports:
            - containerPort: 8080

---
apiVersion: v1
kind: Service
metadata:
  name: echoserver
  annotations:
    load-balancer.hetzner.cloud/location: "nbg1"
    load-balancer.hetzner.cloud/use-private-ip: "false"
    load-balancer.hetzner.cloud/name: "echoserver-lb"
    load-balancer.hetzner.cloud/type: "lb11"
    load-balancer.hetzner.cloud/ipv6-disabled: "true"

spec:
  type: LoadBalancer
  ports:
    - port: 80
      targetPort: 8080
      protocol: TCP
  selector:
    app: echoserver
